"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const RadarModel = require("../../coord/radar/RadarModel.js");
const RadarView = require("./RadarView.js");
const Radar = require("../../coord/radar/Radar.js");
function install(registers) {
  registers.registerCoordinateSystem("radar", Radar.default);
  registers.registerComponentModel(RadarModel.default);
  registers.registerComponentView(RadarView.default);
  registers.registerVisual({
    seriesType: "radar",
    reset: function(seriesModel) {
      var data = seriesModel.getData();
      data.each(function(idx) {
        data.setItemVisual(idx, "legendIcon", "roundRect");
      });
      data.setVisual("legendIcon", "roundRect");
    }
  });
}
exports.install = install;
